--[[
File: Interface/RiftCheckbox.lua
Author: Zormus
--]]

local Interface = Library[(...).identifier].Interface
Interface.RiftCheckbox = setmetatable({}, Interface.Frame)
local RiftCheckbox = Interface.RiftCheckbox
RiftCheckbox.__index = RiftCheckbox

local function UpdateLabelSize(self)
	self.label:SetFontSize(self:GetHeight() - 3)
end

function RiftCheckbox:SetLabel(label)
	if not self.label then
		self.label = Interface.Create("Text", "Label", self)
		self.label:SetPoint("TOPLEFT", self, "TOPRIGHT", 0, -2)
		UpdateLabelSize(self)
		self:EventAttach(Event.UI.Layout.Size, UpdateLabelSize, "SizeChanged")
		function self.label.OnLeftClick(self)
			self:GetParent():SetChecked(not self:GetParent():GetChecked())
		end
		self.label:EnableClick(true, "Left")
	end
	self.label:SetText(label)
end
